> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Self abrufen

> Informationen zum authentifizierten API key abrufen

Erfordert den persönlichen API key eines Enterprise-Administrators.

Gibt Informationen über den authentifizierten API key zurück, einschließlich der Schlüssel-ID, der zugehörigen Benutzer-ID, der Benutzer-E-Mail-Adresse und der Organisations-ID.


## OpenAPI

````yaml de/v2-openapi.yaml GET /v2/enterprise/self
openapi: 3.1.0
info:
  description: Devin v2 API mit persönlichen API Keys für Enterprise-Admins
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/self:
    get:
      tags:
        - self
        - self
      summary: GET eigene Daten
      operationId: handle_get_self_v2_enterprise_self_get
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SelfResponse'
          description: Erfolgreiche Antwort
components:
  schemas:
    SelfResponse:
      properties:
        api_key_id:
          title: Api Key Id
          type: string
        org_id:
          title: Org Id
          type: string
        user_email:
          anyOf:
            - type: string
            - type: 'null'
          title: User Email
        user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: User Id
      required:
        - api_key_id
        - user_id
        - user_email
        - org_id
      title: SelfResponse
      type: object
  securitySchemes:
    bearerAuth:
      description: Persönlicher API Key (apk_user_*) nur für Enterprise-Administratoren
      scheme: bearer
      type: http

````